/*
 *  Ipd version 1.0, Copyright (C) 1995 G. Hutchings
 *  Ipd comes with ABSOLUTELY NO WARRANTY.
 *  This is free software, and you are welcome to redistribute it
 *  under certain conditions; see the file COPYING for details.
 */

/* Configuration stuff */

#ifndef CONFIG_H
#define CONFIG_H

#ifdef DEBUG
#define DPRINT(msg)		fprintf(stderr, "%s\n", msg);
#else
#define DPRINT(msg)
#endif

/* Memory allocator */
#define ALLOC(type, num)	(type *) malloc((unsigned)((num)*sizeof(type)))
#define REALLOC(var, type, num)	(type *) realloc((char *) var, \
					 (unsigned) ((num)*sizeof(type)))
#define DEALLOC(var)		free(var)

/* Stack allocator */
#define ALLOCA(type, num)	(type *) alloca((num)*sizeof(type))

/* Random number stuff */
#define SEED			time(NULL)
#ifdef URAND
#define IRAND(n)		irand((unsigned long) (n))
#define RANDOM(n)		(urand() % (n))
#else
#define IRAND(n)		srandom((unsigned long) (n))
#define RANDOM(n)		(random() % (n))
#endif /* URAND */

#endif
